import React, { useMemo } from 'react'
import { Table, Tooltip } from 'antd'

const TablePack = (props) => {

  const { loading, showField, formJson, dataSource } = props

  const columns = useMemo(() => {
    let array = []
    showField.forEach(v => {
      array.push({
        key: new Date().getTime(),
        title: v,
        dataIndex: v,
        width: 120,
        ellipsis: true,
        render: (value, r) => {
          return (
            <Tooltip placement="top" title={value}>{value}</Tooltip>
          )
        }
      })
    })
    return array
  }, [showField])

  return (
    <Table
      size='small'
      bordered
      loading={loading}
      columns={columns}
      dataSource={dataSource}
      pagination={false}
      scroll={{ y: 'calc(100% - 50px)' }}
    />
  )

}

export default TablePack